NET_StreamSocket(3type)

NAME
NET_StreamSocket - An object that represents a streaming connection to another system.

SYNOPSIS
#include <SDL3_net/SDL_net.h>

typedef struct NET_StreamSocket NET_StreamSocket;

DESCRIPTION
This is meant to be a reliable, stream-oriented connection, such as TCP.

Each NET_StreamSocket represents a single connection between systems. Usually, a client app will have one connection to a server app on a different computer, and the server app might have many connections from different clients. Each of these connections communicate over a separate stream socket.

AVAILABILITY
This datatype is available since SDL_net 3.0.0.

SEE ALSO
NET_CreateClient(3), NET_WriteToStreamSocket(3), NET_ReadFromStreamSocket(3)